/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for BrainAtlasFiducials
 */
public enum EnumCM_BrainAtlasFiducials 
{
	//CID 7101 Brain Atlas Fiducials
	INTER_HEMISPHERIC_PLANE("Inter-Hemispheric Plane"),
	ANTERIOR_COMMISSURE("Anterior Commissure"),
	POSTERIOR_COMMISSURE("Posterior Commissure"),
	RIGHT_HEMISPHERE_MOST_ANTERIOR("Right Hemisphere Most Anterior"),
	RIGHT_HEMISPHERE_MOST_POSTERIOR("Right Hemisphere Most Posterior"),
	RIGHT_HEMISPHERE_MOST_SUPERIOR("Right Hemisphere Most Superior"),
	RIGHT_HEMISPHERE_MOST_INFERIOR("Right Hemisphere Most Inferior"),
	LEFT_HEMISPHERE_MOST_ANTERIOR("Left Hemisphere Most Anterior"),
	LEFT_HEMISPHERE_MOST_POSTERIOR("Left Hemisphere Most Posterior"),
	LEFT_HEMISPHERE_MOST_SUPERIOR("Left Hemisphere Most Superior"),
	LEFT_HEMISPHERE_MOST_INFERIOR("Left Hemisphere Most Inferior");

	private String value;
	
	EnumCM_BrainAtlasFiducials(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
